<?php
/*

      http://mvoc.ru
    : Skriptoff
    skype: Skriptoff
    icq: 3503584

*/

include("check_session.php");
include("../inc_common.php");
include_once($file_path . 'mvoc/attachments/functions.php');

$version = '1.2';
$status = FALSE;
$users_path = $file_path . 'mvoc/attachments/upload/';
$host = parse_url($chat_url);
$size = 0;

if ( ! file_exists($data_path . 'mvoc')) {
    @mkdir($data_path . 'mvoc');
    @chmod($data_path . 'mvoc', 0777);
}
if ( ! file_exists($data_path . 'mvoc/attachments')) {
    @mkdir($data_path . 'mvoc/attachments');
    @chmod($data_path . 'mvoc/attachments', 0777);
}
if ( ! file_exists($data_path . 'mvoc/attachments/config.dat')) {
    $config = array(
        'on' => 1,
        'images' => 1,
        'musics' => 1,
        'videos' => 1,
        'limit_images' => 50,
        'limit_musics' => 20,
        'limit_videos' => 100,
        'limit_image_size' => 1,
        'limit_music_size' => 5,
        'salt' => 'mvoc_' . rand(0, 100000),
        'format_image' => '<a href="[URL]" target="_blank"><img src="[URL]" style="max-height:50px;"/></a>',
        'format_music' => '<a href="[URL]" target="_blank">[<img src="[LOGO]"/> [NAME]]</a>',
        'format_video' => '<p><a href="https://www.youtube.com/watch?v=[ID]" target="_blank"><img class="mini" src="http://img.youtube.com/vi/[ID]/mqdefault.jpg" style="max-height:50px;" /> [NAME]</a></p>',
        'max_all_size' => 30,
        'alert' => 1,
        'max_images_on_msg' => 5,
        'max_musics_on_msg' => 3,
        'max_videos_on_msg' => 3,
        'admin_max_all_size' => 100,
        'point_limit' => 20,
        'button' => '+',
    );

    $str_to_save = parse_to_dat($config);

    save_file($data_path . 'mvoc/attachments/config.dat', $str_to_save);
}

/* update */
$doc = new DOMDocument;
$dom = array();
if (!isset($_GET['magager']) && rand(0,10) > 6) {
    $doc->load('http://mvoc.ru/xml/attachments/' . $version . '/' . $host['host']);
    $dom['type'] = $doc->getElementsByTagName("type")->item(0)->nodeValue;
    $dom['message'] = iconv("UTF-8", "windows-1251", $doc->getElementsByTagName("message")->item(0)->nodeValue);
} else {
    $dom['type'] = 'text';
    $dom['message'] = '    VOC++';
}
?>
<html>
<head>
    <title> v<?php echo $version; ?></title>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
    <style>
        body, table, td, textarea {
            font-family:tahoma, arial, verdana, sans-serif, 'Lucida Sans';
            font-size:14px;
            background:#f7f7f7;
        }
        input, textarea {
            padding:4px 10px;
            border-radius:3px;
            border:1px solid #ccc;
            outline:none;
            background:#fff;
        }
        select {
            outline:none;
            padding:3px;
            border-radius:3px;
            border:1px solid #ccc;
        }
        input[type="text"]:focus, input[type="password"]:focus, textarea:focus, select:focus {
            box-shadow:0 0 4px #0069ab;
            -moz-box-shadow:0 0 4px #0069ab;
            -webkit-box-shadow:0 0 4px #0069ab;
            border: 1px solid #0069ab;
        }
        .title {
            text-align:center;
            padding:3px;
        }
        td {
            padding-right:8px;
        }
        .btn {
            background:#2b67a1;
            color:#fff;
            padding:5px 14px;
            -moz-box-shadow:inset 0px 1px 0px 0px #ffffff;
            -webkit-box-shadow:inset 0px 1px 0px 0px #ffffff;
            box-shadow:inset 0px 1px 0px 0px #ffffff;
            border:1px solid #214e7a;
            border-radius:3px;
            text-shadow:1px 1px 1px #214e7a;
            font-weight:bold;
        }
        .btn:hover {
            background:#3277ba;
        }
        .status {
            padding:10px 20px;
            background:#effeb9;
            margin:10px 0;
            border:1px solid rgb(193, 215, 121);
            color:rgb(60, 90, 1);
            border-radius:3px;
        }
        .copy {
            color:#bbb;
            text-align:center;
            margin-top:20px;
            border-top:1px solid #eee;
            padding:5px;
            font-size:11px;
            text-shadow:1px 1px 1px #fff;
        }
        .copy a {
            color:#b0b0b0;
        }
        #domains {
            margin-bottom:10px;
        }
        input[type="text"], select {
            min-width:250px;
        }
        textarea {
            font-size:12px;
        }
        .show-profile, .show-adm_private {
            margin-top:10px;
        }
        .progressbar {
            position:relative;
            overflow:hidden;
            width:100px;
            border:1px solid #000;
            border-radius:5px;
            height:16px;
            background:#fff;
        }
        .progress {
            position:absolute;
            height:100%;
            background:#ccc;
        }
        .progressbar span {
            color: #000;
            position: absolute;
            margin-top: 1px;
            width: 100%;
            text-align: center;
        }
        .table {
            border: 1px solid black;
            font-size:12px;
        }
        .table th {
            text-align:center;
            font-weight:bold;
            background:#4682b4;
            padding:4px 10px;
            color:#fff;
        }
        .table td {
            padding: 3px 10px;
            font-size:11px;
        }
        .text {
            text-align:center;
            font-size:12px;
            color:#aaa;
        }
        .info {
            padding:10px 15px;
            background:#fdeaa8;
            border-radius:5px;
            text-shadow:1px 1px 1px #fff;
            color:#884535;
        }
    </style>
</head>
<body>
    <h2 class="title"> v<?php echo $version; ?></h2>
    <?php switch ($dom['type']) {
        case 'info':
            echo '<p class="info">' . $dom['message'] . '</p>';
            break;

        case 'alert':
            echo '<script>alert("' . $dom['message'] . '");</script>';
            break;

        case 'text':
            echo '<p class="text">' . $dom['message'] . '</p>';
            break;
    } ?>
<?php
/* save data */
if (isset($_POST['salt'])) {
    set_variable('limit_images');
    set_variable('limit_musics');
    set_variable('limit_videos');
    set_variable('limit_image_size');
    set_variable('limit_music_size');
    set_variable('salt');
    set_variable('format_image');
    set_variable('format_music');
    set_variable('format_video');
    set_variable('max_all_size');
    set_variable('max_images_on_msg');
    set_variable('max_musics_on_msg');
    set_variable('max_videos_on_msg');
    set_variable('admin_max_all_size');
    set_variable('point_limit');
    set_variable('button');

    $on = (isset($_POST['on'])) ? 1 : 0;
    $images = (isset($_POST['images'])) ? 1 : 0;
    $musics = (isset($_POST['musics'])) ? 1 : 0;
    $videos = (isset($_POST['videos'])) ? 1 : 0;
    $alert = (isset($_POST['alert'])) ? 1 : 0;

    $config = array(
        'on' => $on,
        'images' => (int) $images,
        'musics' => (int) $musics,
        'videos' => (int) $videos,
        'limit_images' => (int) $limit_images,
        'limit_musics' => (int) $limit_musics,
        'limit_videos' => (int) $limit_videos,
        'limit_image_size' => (int) $limit_image_size,
        'limit_music_size' => (int) $limit_music_size,
        'salt' => $salt,
        'format_image' => $format_image,
        'format_music' => $format_music,
        'format_video' => $format_video,
        'max_all_size' => (int) $max_all_size,
        'alert' => $alert,
        'max_images_on_msg' => (int) $max_images_on_msg,
        'max_musics_on_msg' => (int) $max_musics_on_msg,
        'max_videos_on_msg' => (int) $max_videos_on_msg,
        'admin_max_all_size' => (int) $admin_max_all_size,
        'point_limit' => (int) $point_limit,
        'button' => $button,
    );

    $str_to_save = parse_to_dat($config);

    save_file($data_path . 'mvoc/attachments/config.dat', $str_to_save);
    
    $status = TRUE;
}
/* open config */
$fc = file_get_contents($data_path . 'mvoc/attachments/config.dat');
$config = parse_dat($fc);
if (!$config['button']) {
    $config['button'] = '+';
}
/* manager */
if (isset($_GET['magager'])) {
    require("../inc_user_class.php");
    $count_clear = 0;
    /* delete */
    if (isset($_GET['del'])) {
        $id = (int) $_GET['del'];
        set_variable('type');

        $user_path = $file_path . 'mvoc/attachments/upload/' . (int) ($id/1000) . '/' . $id . '/';
        if (file_exists($user_path)) {
            foreach (new DirectoryIterator($user_path) as $u) {
                if ($u->isDot()) continue;
                if (($type == 'images' && pathinfo($u->getFilename(), PATHINFO_EXTENSION) != 'mp3') || $type == 'all') {
                    @unlink($u->getPathname());
                }
                if (($type == 'music' && pathinfo($u->getFilename(), PATHINFO_EXTENSION) == 'mp3')  || $type == 'all') {
                    @unlink($u->getPathname());
                }
            }
            if ($type == 'all') {
                @rmdir($user_path);
            }
             if ($type == 'music' || $type == 'all') {
                @unlink($data_path . 'mvoc/attachments/' . (int) ($id / 1000) . '/' . $id . '_music.dat');
            }
            if ($type == 'video' || $type == 'all') {
                @unlink($data_path . 'mvoc/attachments/' . (int) ($id / 1000) . '/' . $id . '_video.dat');
            }
        }
        header("Location: attachments.php?session=" . $session . "&magager=1");
        exit;
    }
    /* end delete*/
    $users = array();
    echo '<p style="text-align:center">[<a href="attachments.php?session=' . $session , '"><b>  </b></a>]</p>';
    echo '<table class="table" cellspacing="0">';
    echo '<tr>';
        echo '<th></th>';
        echo '<th></th>';
        echo '<th></th>';
        echo '<th>.</th>';
        echo '<th> % </th>';
        echo '<th># .</th>';
        echo '<th># .</th>';
        echo '<th># </th>';
        echo '<th> </th>';
    echo '</tr>';
    if (file_exists($users_path)) {
        foreach (new DirectoryIterator($users_path) as $del){
            if ($del->isDot()) continue;
            foreach (new DirectoryIterator($del->getPathname()) as $d) {
                if ($d->isDot()) continue;
                $is_regist = (int) $d->getFilename();
                $count_images = 0;
                $count_music = 0;
                if (file_exists($data_path . "users/" . floor($is_regist/2000) . "/" . $is_regist . ".user")) {
                    $size = 0;
                    $music = 0;
                    include($ld_engine_path."users_get_object.php");

                    foreach (new DirectoryIterator($d->getPathname()) as $u) {
                        if ($u->isDot()) continue;
                        $size += $u->getSize();
                        if (pathinfo($u->getFilename(), PATHINFO_EXTENSION) == 'mp3') {
                            $music += $u->getSize();
                            $count_music++;
                        } else {
                            $count_images++;
                        }
                    }

                    $users[$size]['login'] = $current_user->nickname;
                    $users[$size]['id'] = $is_regist;
                    $users[$size]['music'] = $music;
                    $users[$size]['count_images'] = $count_images;
                    $users[$size]['count_music'] = $count_music;
                    $users[$size]['count_video'] = 0;
                    $data_videos = unserialize(file_get_contents($data_path . 'mvoc/attachments/' . (int) ($is_regist / 1000) . '/' . $is_regist . '_video.dat'));
                    if ($data_videos) {
                        $users[$size]['count_video'] = count($data_videos);
                    }
                } else {
                    $user_path = $file_path . 'mvoc/attachments/upload/' . (int) ($is_regist/1000) . '/' . $is_regist . '/';
                    if (file_exists($user_path)) {
                        foreach (new DirectoryIterator($user_path) as $u) {
                            if ($u->isDot()) continue;
                            @unlink($u->getPathname());
                        }
                        @rmdir($user_path);
                        @unlink($data_path . 'mvoc/attachments/' . (int) ($is_regist / 1000) . '/' . $is_regist . '_music.dat');
                        @unlink($data_path . 'mvoc/attachments/' . (int) ($is_regist / 1000) . '/' . $is_regist . '_video.dat');
                        $count_clear++;
                    }
                }
            }
        }
    }
    krsort($users);
    $is_bg = TRUE;
    foreach ($users as $key => $value) {
        if ($key) {
            if ($is_bg) {
                $color = 'fff';
                $is_bg = FALSE;
            } else {
                $is_bg = TRUE;
                $color = 'eee';
            }
            echo '<tr>';
                echo '<td style="background:#' . $color . '"><a href="' . $chat_url . 'fullinfo.php?user_id=' . $value['id'] .'" target="_blank">' . $value['login'] .'</a>: </td>';
                echo '<td style="background:#' . $color . '">' . convert($key) . '</td>';
                echo '<td style="background:#' . $color . '">' . convert($value['music']) . '</td>';
                echo '<td style="background:#' . $color . '">' . convert($key - $value['music']) . '</td>';

                $key = convert($key);
                if ($key{strlen($key) - 2} == 'k') {
                    $progress = 1;
                } else {
                    $progress = $config['max_all_size']/100;
                    $progress = (int) ($key/$progress);
                }

                echo '<td style="background:#' . $color . '"><div class="progressbar"><div class="progress" style="width:' . $progress . '%"></div><span>' . $progress . '%</span></div></td>';
                echo '<td align="center" style="background:#' . $color . '">' . $value['count_images'] . '</td>';
                echo '<td align="center" style="background:#' . $color . '">' . $value['count_music'] . '</td>';
                echo '<td align="center" style="background:#' . $color . '">' . $value['count_video'] . '</td>';
                echo '<td align="center" style="background:#' . $color . '">';
                    echo '<a href="attachments.php?session=' . $session . '&magager=1&del=' . $value['id'] . '&type=images">.</a> | ';
                    echo '<a href="attachments.php?session=' . $session . '&magager=1&del=' . $value['id'] . '&type=music">.</a> | ';
                    echo '<a href="attachments.php?session=' . $session . '&magager=1&del=' . $value['id'] . '&type=video"></a> | ';
                    echo '<a href="attachments.php?session=' . $session . '&magager=1&del=' . $value['id'] . '&type=all"></a>';
                echo '</td>';
            echo '</tr>';
        }
    }
    echo '</table>';
    if ($count_clear) {
        echo '<p>: <b>' . $count_clear . '</b>  !</p>';
    }
    exit;
}

if (file_exists($users_path)) {
    foreach (new DirectoryIterator($users_path) as $del){
        if ($del->isDot()) continue;
        foreach (new DirectoryIterator($del->getPathname()) as $d) {
            if ($d->isDot()) continue;
            foreach (new DirectoryIterator($d->getPathname()) as $u) {
            if ($u->isDot()) continue;
                $size += $u->getSize();
            }
        }
    }
}
?>
    <?php if ($status):?>
    <div class="status">!</div>
    <?php endif; ?>
    <form method="post" action="attachments.php">
        <input type="hidden" name="session" value="<?php echo $session; ?>" />
        <h4> :</h4>
        <table>
            <tr>
                <td><label for="on"> </label></td>
                <td><input type="checkbox" id="on" name="on" <?php echo ($config['on']) ? ' checked="checked"' : ''; ?> /></td>
            </tr>
            <tr>
                <td><label for="alert">     </label></td>
                <td><input type="checkbox" id="alert" name="alert" <?php echo ($config['alert']) ? ' checked="checked"' : ''; ?> /></td>
            </tr>
            <tr>
                <td><label for="salt">    <small>( )</small></label></td>
                <td><input type="text" id="salt" name="salt" value="<?php echo $config['salt']; ?>"></td>
            </tr>
            <tr>
                <td><label for="point_limit">     <small>(0 - )</small></label></td>
                <td><input type="text" id="point_limit" name="point_limit" value="<?php echo $config['point_limit']; ?>"> </td>
            </tr>
            <tr>
                <td><label for="max_all_size">    </label></td>
                <td><input type="text" id="max_all_size" name="max_all_size" value="<?php echo $config['max_all_size']; ?>"> </td>
            </tr>
            <tr>
                <td><label for="admin_max_all_size">      </label></td>
                <td><input type="text" id="admin_max_all_size" name="admin_max_all_size" value="<?php echo $config['admin_max_all_size']; ?>"> </td>
            </tr>
            <tr>
                <td><label for="button">  </label></td>
                <td><input type="text" id="button" name="button" value="<?php echo $config['button']; ?>"> </td>
            </tr>
        </table>
        <hr />
        <h4>:</h4>
        <table>
            <tr>
                <td><label for="images">  </label></td>
                <td><input type="checkbox" id="images" name="images" <?php echo ($config['images']) ? ' checked="checked"' : ''; ?> /></td>
            </tr>
            <tr <?php echo ($config['images']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="limit_images">   </label></td>
                <td><input type="text" id="limit_images" name="limit_images" value="<?php echo $config['limit_images']; ?>"></td>
            </tr>
            <tr <?php echo ($config['images']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="limit_image_size">  1- </label></td>
                <td><input type="text" id="limit_image_size" name="limit_image_size" value="<?php echo $config['limit_image_size']; ?>"> </td>
            </tr>
            <tr <?php echo ($config['images']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="max_images_on_msg">      </label></td>
                <td><input type="text" id="max_images_on_msg" name="max_images_on_msg" value="<?php echo $config['max_images_on_msg']; ?>"></td>
            </tr>
            <tr <?php echo ($config['images']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="format_image">  <small>( [URL])</small></label></td>
                <td>
                    <textarea name="format_image" id="format_image" rows="2" cols="100"><?php echo htmlspecialchars($config['format_image']); ?></textarea>
                </td>
            </tr>
        </table>
        <hr />
        <h4>:</h4>
        <table>
            <tr>
                <td><label for="musics">  </label></td>
                <td><input type="checkbox" id="musics" name="musics" <?php echo ($config['musics']) ? ' checked="checked"' : ''; ?> /></td>
            </tr>
            <tr <?php echo ($config['musics']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="limit_musics">   </label></td>
                <td><input type="text" id="limit_musics" name="limit_musics" value="<?php echo $config['limit_musics']; ?>"></td>
            </tr>
            <tr <?php echo ($config['musics']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="limit_music_size">  1- </label></td>
                <td><input type="text" id="limit_music_size" name="limit_music_size" value="<?php echo $config['limit_music_size']; ?>"> </td>
            </tr>
            <tr <?php echo ($config['musics']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="max_musics_on_msg">      </label></td>
                <td><input type="text" id="max_musics_on_msg" name="max_musics_on_msg" value="<?php echo $config['max_musics_on_msg']; ?>"></td>
            </tr>
            <tr <?php echo ($config['musics']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="format_music">  <small>( [URL], [LOGO], [NAME])</small></label></td>
                <td>
                    <textarea name="format_music" id="format_music" rows="2" cols="100"><?php echo htmlspecialchars($config['format_music']); ?></textarea>
                </td>
            </tr>
        </table>
        <hr />
        <h4>:</h4>
        <table>
            <tr>
                <td><label for="videos">  </label></td>
                <td><input type="checkbox" id="videos" name="videos" <?php echo ($config['videos']) ? ' checked="checked"' : ''; ?> /></td>
            </tr>
            <tr <?php echo ($config['videos']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="limit_videos">    <small>(  )</small></label></td>
                <td><input type="text" id="limit_videos" name="limit_videos" value="<?php echo $config['limit_videos']; ?>"></td>
            </tr>
            <tr <?php echo ($config['videos']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="max_videos_on_msg">      </label></td>
                <td><input type="text" id="max_videos_on_msg" name="max_videos_on_msg" value="<?php echo $config['max_videos_on_msg']; ?>"></td>
            </tr>
            <tr <?php echo ($config['videos']) ? '' : ' style="display:none;"'; ?>>
                <td><label for="format_video">  <small>( [URL], [LOGO], [NAME])</small></label></td>
                <td>
                    <textarea name="format_video" id="format_video" rows="3" cols="100"><?php echo htmlspecialchars($config['format_video']); ?></textarea>
                </td>
            </tr>
        </table>
        <hr />
        <?php if ($size):?>
            <b><?php echo convert($size); ?></b>, [<a href="attachments.php?session=<?php echo $session;?>&magager=1"><b> ,  </b></a>]
        <hr />
        <?php endif; ?>
        <button class="btn"></button>
    </form>
    
    <div class="copy">Skriptoff  <a href="http://mvoc.ru/ads/ref/attachments/<?php echo $host['host'];?> " target="_blank">Mvoc.ru</a>, 2014</div>
    <script>
        $(document).ready(function() {
            $("#images, #musics, #videos").on("change", function() {
                if ($(this).prop("checked")) {
                    $(this).closest("table").find("tr").show();
                } else {
                    $(this).closest("table").find("tr").hide();
                    $(this).closest("table").find("tr").first().show();
                }
            });
        });
    </script>
</body>
</html>