<?php
/**
 * VOC++ Smile manager
 *
 * @author ChatMaster <chatmaster@pozitiff.lv>
 * @copyright ChatMaster <chatmaster@pozitiff.lv>
 * @since 07.12.2009
 * @version 2.0
 *
 */

include("check_session.php");
include("../inc_common.php");

/*******************************************/
/* Configuration */
$SM_CONF_FILE = $data_path.'smiles/config.php';
$SM_GROUPS_FILE = $data_path.'smiles/groups.dat';
$SM_DEFAULTS_FILE = $data_path.'smiles/defaults.dat';
$SM_SMILES_FILE = $data_path.'smiles/smiles.dat';
$upload_dir = $file_path.'converts/';

define('SM_COMMON', true);

/*******************************************/
/* Select module */
$module = trim(strip_tags($_GET['m']));
switch ($module) {
	case 'cat':    $mod = 'cat'; break;
	case 'smiles': $mod = 'smiles'; break;
	case 'inactive': $mod = 'inactive'; break;
	default: $mod = 'config';
}


/* Reading settings */
if (file_exists($SM_CONF_FILE)) {
    require_once($SM_CONF_FILE);
}
if (!defined('SM_COMMON')) exit('Installation error');
?>
<html>
<head>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1251">
  <link href="smiles/style.css" type="text/css" rel="stylesheet">
</head>
<body>
<script type="text/javascript">
function about() {
    document.getElementById('about_div').className='info';
}
function about_close() {
    document.getElementById('about_div').className='hidden';
}
</script>
<!--
 ********************************************
 *
 * Smile manager for
 * VOC++ Busness Edition
 * Version: 2.0
 * Administration Script
 *
 * @author: ChatMaster <chatmaster@pozitiff.lv>
 * @copyright ChatMaster, 2009-2010
 *
 *    
 *    
 *  ,    
 *     
 * 
 *
 ********************************************
-->
<!-- About -->
<div class="hidden" id="about_div" style="cursor:default;">
  <div style="background:#eeeeee; padding-bottom:5px; cursor:default;">
    <div style="margin:3px; float:right;"><img src="smiles/images/del.png" width="16" height="16" alt="Close" onclick="about_close();"></div>
    <div style="height:16px; margin:3px; font-size:8px; padding-top:3px; color:gray;"> </div>
  </div>
  <table align="center" style="margin-top:30px;">
  <tr>
    <td colspan="2" style="text-align:center; font-weight:bold;">VOC++ Smile manager</td>
  </tr>
  <tr>
    <td>Version:</td>
    <td>2.0</td>
  </tr>
  <tr>
    <td>Author:</td>
    <td>Mihail Uljanov</td>
  </tr>
  <tr>
    <td>E-Mail:</td>
    <td><a href="mailto:chatmaster@pozitiff.lv" style="color:blue; text-decoration:underline;">chatmaster@pozitiff.lv</a></td>
  </tr>
  </table>
</div>
<!-- End About -->

<!-- Menu Tabs -->
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
  <td class="head">VOC++ Smile manager</td>
  <td class="head" style="text-align:right;">
   &nbsp;
  </td>
</tr>
<tr>
  <td class="tab_bar_bg" colspan="2">
    <table cellspacing="0" cellpadding="0" border="0">
    <tr>
	<? if (isset($sm_config['installed']) && $sm_config['installed']) :?>
      <td <? if($mod == 'config') {    ?>class="menu_btn_active"<? } else { ?>class="menu_btn" onmouseover="this.className='menu_btn_hl';" onmouseout="this.className='menu_btn';" onclick="window.location.assign('conv.php?session=<?=$session;?>&m=config');"<? } ?>></td>
      <td <? if($mod == 'cat') { ?>class="menu_btn_active"<? } else { ?>class="menu_btn" onmouseover="this.className='menu_btn_hl';" onmouseout="this.className='menu_btn';" onclick="window.location.assign('conv.php?session=<?=$session;?>&m=cat');"<? } ?>></td>
      <td <? if($mod == 'smiles') { ?>class="menu_btn_active"<? } else { ?>class="menu_btn" onmouseover="this.className='menu_btn_hl';" onmouseout="this.className='menu_btn';" onclick="window.location.assign('conv.php?session=<?=$session;?>&m=smiles');"<? } ?>> </td>
      <td <? if($mod == 'inactive') { ?>class="menu_btn_active"<? } else { ?>class="menu_btn" onmouseover="this.className='menu_btn_hl';" onmouseout="this.className='menu_btn';" onclick="window.location.assign('conv.php?session=<?=$session;?>&m=inactive');"<? } ?>> </td>
	 <? else:?>
	   <td class="menu_btn_active"></td>
	 <? endif;?>
	   <td class="menu_btn" onclick="about();" onmouseover="this.className='menu_btn_hl';" onmouseout="this.className='menu_btn';"> </td>
    </tr>
    </table>
  </td>
</tr>
</table>
<!-- End Menu Tabs -->


<?php
/*******************************************/
/* Load module */
$mod_file = 'smiles/modules/'.$mod.'.php';
if (file_exists($mod_file)) include $mod_file;
else echo '<div>Attempt to load unknown module</div>';
?>
<div style="text-align:center;"><small>&copy; ChatMaster, 2009-2010</small></div>

</body>
</html>