<?php if (!defined('_COMMON_')){echo 'Stop!';exit;}

/*

    Website http://mvoc.ru
    : Skriptoff
    skype: Skriptoff
    icq: 3503584

*/

if (!function_exists('parse_dat')) {
    function parse_dat($str) {
        $conf = array();
        $strs = explode(";\n", $str);
        foreach($strs as $str) {
            $str = explode('=', $str);
            $key = $str[0];
            unset($str[0]);
            $conf[$key] = implode('=', $str);
        }

        return $conf;
    }
}

if (!function_exists('parse_to_dat')) {
    function parse_to_dat($array) {
        $str = '';
        foreach($array as $k => $v) {
            $str .= $k . '=' . $v . ";\n";
        }

        return $str;
    }
}

if (!function_exists('save_file')) {
    function save_file($path, $content, $p = 'w') {
        $fp = fopen($path, $p);
        flock($fp, LOCK_EX);
        $fw = fwrite($fp, $content);
        flock($fp, LOCK_UN);
        $fc = fclose($fp);

        return TRUE;
    }
}

if (!function_exists('convert')) {
    function convert($size) {
        $unit=array('b', 'kb', 'mb', 'gb', 'tb', 'pb');
        return @round($size/pow(1024, ($i = floor(log($size,1024)))), 2) . ' ' . $unit[$i];
    }
}

if (!function_exists('mb_convert_to_float')) {
    function mb_convert_to_float($str) {
        return (float) str_replace(',', '.', $str);
    }
}