<?php

/*

      http://mvoc.ru
    : Skriptoff
    skype: Skriptoff
    icq: 3503584

*/

include('../../inc_common.php');
include($engine_path . 'users_get_list.php');
include($file_path . "inc_user_class.php");
include($ld_engine_path . "users_get_object.php");
include('functions.php');
$user_path = $file_path . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/';
if (!$exists) {
    $error_text = "$w_no_user";
    include($file_path . 'designes/' . $design . '/error_page.php');
    exit;
}

$timestamp = time();
$is_load = TRUE;
$images = array();
$size = 0;
$music_title_size = 55;
$video_title_size = 65;
?>
<!doctype>
<html>
    <head>
        <title>  | <?php echo $w_title; ?></title>
        <link rel="stylesheet" href="<?php echo $chat_url; ?>mvoc/attachments/styles/default.css"/>
        <link rel="stylesheet" href="<?php echo $chat_url; ?>mvoc/attachments/styles/uploadify.css"/>
    </head>
    <body>
<?php
$host = parse_url($chat_url);
if (file_exists($data_path . 'mvoc/attachments/config.dat')):
    $fc = file_get_contents($data_path . 'mvoc/attachments/config.dat');
    $config = parse_dat($fc);

    if (!$config['on']) {
        echo '<p> </p>';
        exit;
    }

    if ($current_user->online_time < $config['point_limit'] && !$cu_array[USER_CLASS]) {
        echo '<p>  .  ' . $config['point_limit'] . ' !</p>';
        exit;
    }
    if ($cu_array[USER_CLASS]) {
        $config['max_all_size'] = $config['admin_max_all_size'];
    }

    $fileTypes = array('jpg', 'jpeg', 'gif', 'png', 'mp3');
    $music_file = $data_path . 'mvoc/attachments/' . (int) ($is_regist / 1000) . '/' . $is_regist . '_music.dat';
    $video_file = $data_path . 'mvoc/attachments/' . (int) ($is_regist / 1000) . '/' . $is_regist . '_video.dat';
    $data_music = unserialize(file_get_contents($music_file));
    $data_video = unserialize(file_get_contents($video_file));

    if (file_exists($user_path)) {
        foreach (new DirectoryIterator($user_path) as $del ) {
            if ($del->isDot()) continue;

            $size += $del->getSize();

            if (!in_array(pathinfo($del->getFilename(), PATHINFO_EXTENSION), $fileTypes)) {
                echo $del->getPathname();exit;
                @unlink($del->getPathname());
                continue;
            }

            if (pathinfo($del->getFilename(), PATHINFO_EXTENSION) == 'mp3') {
                if (!array_key_exists($del->getBasename('.mp3'), $data_music)) {
                    @unlink($del->getPathname());
                    continue;
                }
                if ($config['limit_musics'] > 0) {
                    $config['limit_musics']--;
                }
            } else {
                $images[] = $del->getFilename();
                if ($config['limit_images'] > 0) {
                    $config['limit_images']--;
                }
            }
        }
    }

    if ($size > ($config['max_all_size'] * 1024 * 1024)) {
        $is_load = FALSE;
    }
    $size = convert($size);

    /* progress */
    if ($size{strlen($size) - 2} == 'k') {
        $progress = 1;
    } else {
        $progress = $config['max_all_size']/100;
        $progress = (int) ($size/$progress);
    }
    ?>
    <div class="wrap">
        <?php if ($config['images'] || $config['musics']): ?>
        <div class="progressbar">
            <div class="progress" style="width:<?php echo $progress; ?>%;"></div>
            <span> <b class="s1"><?php echo $size; ?></b>  <b class="s2"><?php echo $config['max_all_size']; ?> mb</b></span>
        </div>
        <?php endif; ?>

        <ul class="navi">
            <?php if ($config['images']): ?>
            <li class="n_pictures active" data-type="step1"><span class="ico ico-img"></span><span></span></li><?php
            endif;
            if ($config['musics']):
            ?><li class="n_music<?php if (!$config['images']): ?> active<?php endif; ?>" data-type="step2"><span class="ico ico-music"></span><span></span></li><?php
            endif;
            if ($config['videos']):
            ?><li class="n_video<?php if (!$config['images'] && !$config['musics']): ?> active<?php endif; ?>" data-type="step3"><span class="ico ico-video"></span><span></span></li>
            <?php endif; ?>
        </ul>
        <div class="main">
            <?php if ($config['images']): ?>
            <div class="tab" id="step1">
                <?php if (!$is_load): ?>
                    <p class="info">
                            (<?php echo $config['max_all_size']; ?> ).
                    </p>
                <?php elseif (!$config['limit_images']): ?>
                    <p class="info">
                           .
                    </p>
                <?php else: ?>
                    <div class="add-file" data-type="image"><span class="ico ico-add add-file-ico"></span>  </div>
                <?php endif; ?>
                <div class="galary">
                    <?php foreach ($images as $imgage): ?>
                        <div class="image">
                            <div class="ico ico-close delete"></div>
                            <img src="<?php echo $chat_url . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/' . $imgage;?>"/>
                            <div data-id="<?php echo $imgage; ?>" class="send"></div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
            <?php endif; ?>
            <?php if ($config['musics']): ?>
            <div class="tab" id="step2">
                <?php if (!$is_load): ?>
                    <p class="info">
                            (<?php echo $config['max_all_size']; ?> ).
                    </p>
                <?php elseif (!$config['limit_musics']): ?>
                    <p class="info">
                           .
                    </p>
                <?php else: ?>
                    <div class="add-file" data-type="music"><span class="ico ico-add add-file-ico"></span>  </div>
                <?php endif; ?>
                <div class="galary">
                <?php foreach($data_music as $key => $value): ?>
                    <div class="sound" data-id="<?php echo $key; ?>">
                        <div class="ico ico-close"><span> &nbsp;</span></div>
                        <div class="ico ico-add"><span> </span></div>

                        <object type="application/x-shockwave-flash" data="dewplayer.swf?mp3=<?php echo $chat_url . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/' . $key;?>.mp3" width="200" height="20" class="dewplayer">
                        <param name="wmode" value="transparent" /><param name="movie" value="dewplayer.swf?mp3=<?php echo $chat_url . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/' . $key;?>.mp3" /></object>
                        <span class="title" title="<?php echo $value; ?>"><?php echo substr($value, 0, $music_title_size); ?></span>
                    </div>
                <?php endforeach; ?>
                </div>
            </div>
            <?php endif; ?>
            <?php if ($config['videos']): ?>
            <div class="tab" id="step3">
                <?php if ($config['limit_videos'] <= count($data_video)): ?>
                    <p class="info">
                           .
                    </p>
                <?php else: ?>
                    <div class="add-file" data-type="video"><span class="ico ico-add add-file-ico"></span>  </div>
                <?php endif; ?>
                <div class="galary">
                <?php foreach($data_video as $key => $value): ?>
                    <table class="video" width="100%" data-id="<?php echo $key; ?>">
                        <tr>
                            <td width="190">
                                <div class="wrap-logo">
                                    <span class="ico ico-play"></span>
                                    <img class="logo" src="http://img.youtube.com/vi/<?php echo $key; ?>/mqdefault.jpg" />
                                </div>
                            </td>
                            <td valign="top">
                                <div class="ico ico-close"></div>
                                <div class="titile" title="<?php echo $value; ?>"><?php echo substr($value, 0, $video_title_size); ?></div>
                                <div class="prev">
                                    <img class="mini" src="http://img.youtube.com/vi/<?php echo $key; ?>/1.jpg" />
                                    <img class="mini" src="http://img.youtube.com/vi/<?php echo $key; ?>/2.jpg" />
                                    <img class="mini" src="http://img.youtube.com/vi/<?php echo $key; ?>/3.jpg" />
                                </div>
                                <div class="ico ico-add"><span> </span></div>
                            </td>
                        </tr>
                    </table>
                <?php endforeach; ?>
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>

    <div class="no-copy">
         , !      ,  
                  
                !
    </div>

    <div class="copy">
        Skriptoff &copy; <a href="http://mvoc.ru/ads/ref/attachments/<?php echo $host['host'];?>" target="_blank">Mvoc.ru</a> 2014
    </div>

    <div id="light"></div>
    <div id="popup">
        <div class="ico ico-close"></div>
        <header></header>
        <div class="content"></div>
    </div>
</body>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script src="<?php echo $chat_url; ?>mvoc/attachments/jquery.uploadify.min.js"></script>
<script>
    $(document).ready(function() {
        $(".navi li").on("click", function() {
            $(".navi .active").removeClass("active");
            $(this).addClass("active");
            var type = $(this).data("type");
            $(".main .tab").hide();
            $("#" + type).show();
        });

        $(".add-file").on("click", function() {
            var type = $(this).data("type");

            switch (type) {
                <?php if ($config['images']): ?>
                case "image":
                    var markUp = "";
                    markUp = '<div id="queue"></div>';
                    markUp += '<input id="file_upload" name="file_upload" type="file" multiple="true"/>';
                    markUp += '       CTRL  Shift';

                    popup($(this).text(), markUp);

                    $('#file_upload').uploadify({
                        'formData'     : {
                            'timestamp' : '<?php echo $timestamp;?>',
                            'token'     : '<?php echo md5($config['salt'] . $timestamp);?>'
                        },
                        'buttonText' : '  ',
                        'fileSizeLimit' : '<?php echo $config['limit_image_size']; ?>MB',
                        'fileTypeExts' : '*.gif; *.jpg; *.png',
                        'swf'      : 'uploadify.swf',
                        'uploader' : 'uploadify.php?session=<?php echo $session; ?>',
                        'width'    : 400,
                        'uploadLimit' : <?php echo $config['limit_images']; ?>,
                        'onUploadSuccess' : function(file, data, response) {
                            switch (data) {
                                case "max_size":
                                    popup(" ", "<p>    (<?php echo $config['max_all_size']; ?> ).</p>");

                                    $("#step1 .galary").prev().remove();
                                    
                                    markUp = '<p class="info">';
                                        markUp += "    (<?php echo $config['max_all_size']; ?> ).";
                                    markUp += "</p>";
                                    
                                    $("#step1").prepend(markUp)
                                    break;
                                case "size":
                                    popup(" ", "<p>   </p>");
                                    break;
                                case "type":
                                    popup(" ", "<p>    (  jpg, gif, png, mp3)</p>");
                                    break;
                                case "limit":
                                    popup(" ", "<p>   </p>");

                                    $("#step1 .galary").prev().remove();

                                    markUp = '<p class="info">';
                                        markUp += "   ";
                                    markUp += "</p>";

                                    $("#step1").prepend(markUp)
                                    break;
                                default:
                                    data = JSON.parse(data);
                                    if (data.name) {
                                        markUp = '<div class="image">';
                                            markUp += '<div class="ico ico-close delete"></div>';
                                            markUp += '<img src="<?php echo $chat_url . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/';?>' + data.name + '"/>';
                                            markUp += '<div data-id="' + data.name + '" class="send"></div>';
                                        markUp += "</div>";
                                        
                                        $("#step1 .galary").append(markUp);
                                        updateProcessBar();
                                    }
                                    break;
                            }
                        }
                    });
                break;
                <?php endif; ?>
                <?php if ($config['musics']): ?>
                case "music":
                    var markUp = "";
                    markUp = '<div id="queue"></div>';
                    markUp += '<input id="file_upload" name="file_upload" type="file" multiple="true"/>';
                    markUp += '       CTRL  Shift';

                    popup($(this).text(), markUp);

                    $('#file_upload').uploadify({
                        'formData'     : {
                            'timestamp' : '<?php echo $timestamp;?>',
                            'token'     : '<?php echo md5($config['salt'] . $timestamp);?>'
                        },
                        'buttonText' : '  ',
                        'fileSizeLimit' : '<?php echo $config['limit_music_size']; ?>MB',
                        'fileTypeExts' : '*.mp3',
                        'swf'      : 'uploadify.swf',
                        'uploader' : 'uploadify.php?session=<?php echo $session; ?>',
                        'width'    : 400,
                        'uploadLimit' : <?php echo $config['limit_musics'];?>,
                        'onUploadSuccess' : function(file, data, response) {
                            switch (data) {
                                case "max_size":
                                    popup(" ", "<p>    (<?php echo $config['max_all_size']; ?> ).</p>");

                                    $("#step2 .galary").prev().remove();
                                    
                                    markUp = '<p class="info">';
                                        markUp += "    (<?php echo $config['max_all_size']; ?> ).";
                                    markUp += "</p>";
                                    
                                    $("#step2").prepend(markUp)
                                    break;
                                case "size":
                                    popup(" ", "<p>   </p>");
                                    break;
                                case "type":
                                    popup(" ", "<p>    (  jpg, gif, png, mp3)</p>");
                                    break;
                                case "limit":
                                    popup(" ", "<p>   </p>");

                                    $("#step2 .galary").prev().remove();

                                    markUp = '<p class="info">';
                                        markUp += "   ";
                                    markUp += "</p>";

                                    $("#step2").prepend(markUp);
                                    break;
                                default:
                                    data = JSON.parse(data);
                                    if (data.name) {
                                        markUp = '<div class="sound" data-id="' + data.name + '">';
                                            markUp += '<div class="ico ico-close"><span> &nbsp;</span></div>';
                                            markUp += '<div class="ico ico-add"><span> </span></div>';

                                            markUp += '<object type="application/x-shockwave-flash" data="dewplayer.swf?mp3=<?php echo $chat_url . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/';?>' + data.name + '.mp3" width="200" height="20" class="dewplayer">';
                                            markUp += '<param name="wmode" value="transparent" /><param name="movie" value="dewplayer.swf?mp3=<?php echo $chat_url . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/';?>' + data.name + '.mp3" /></object>';
                                            markUp += '<span class="title" title="' + data.title + '">' + data.title.substr(0, <?php echo $music_title_size; ?>) + '</span>';
                                        markUp += "</div>";

                                        $("#step2 .galary").append(markUp);
                                        updateProcessBar();
                                    }
                                    break;
                            }
                        }
                    });
                break;
                <?php endif; ?>
                <?php if ($config['videos']): ?>
                case "video":
                    var markUp = "";
                        markUp += '   c Yuotybe:';
                        markUp += '<input type="text" id="videoUrl" />';
                        markUp += '<button id="addVideo"></button>';
                    popup($(this).text(), markUp);
                    $("#videoUrl").focus();
                break;
                <?php endif; ?>
            }
        });
        
        $(document).on("click", "#popup .ico-close", hidePopup);
        $(document).on("click", "#light", hidePopup);

        <?php if ($config['images']): ?>
        $(document).on("click", ".galary .image img", function() {
            var src = $(this).attr("src");
            var markUp = "";
            markUp += '<div class="center">';
                markUp += '<img src="' + src + '"/>';
            markUp += "</div>";
            popup("", markUp);
        });
        
        $(document).on("click", ".image .send", function() {
            var key = $(this).data("id").split(".");
            window.opener.top.frames['voc_sender'].addPic("[img " + key[0] + "|" + key[1] + "]");
        });
        
        $(document).on("click", "#step1 .galary .image .delete", function() {
            <?php if ($config['alert']): ?>
            if (!confirm(" ?")) {
                return false;
            }
            <?php endif; ?>

            var $this = $(this);
            var file = $this.next().next().data("id");
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "api.php",
                data: {
                    key: "image",
                    type: "delete",
                    file: file,
                    session: "<?php echo $session; ?>"
                }
            }).success(function(status) {
                if (status == "ok") {
                    $this.parent().remove();
                    updateProcessBar();
                }
            });
        });
        <?php endif; ?>
        
        <?php if ($config['musics']): ?>
        $(document).on("mouseover", ".galary .sound .ico-close", function() {
            $(this).next().find("span").hide();
            $(this).find("span").show();
        });

        $(document).on("mouseout", ".galary .sound .ico-close", function() {
            $(this).next().find("span").show();
            $(this).find("span").hide();
        });

        $(document).on("click", ".galary .sound .ico-add", function() {
            var key = $(this).parent().data("id");
            window.opener.top.frames['voc_sender'].addPic("[mp3 " + key + "]");
        });

        $(document).on("click", ".galary .sound .ico-close", function() {
            <?php if ($config['alert']): ?>
            if (!confirm(" ?")) {
                return false;
            }
            <?php endif; ?>

            var $this = $(this);
            var file = $(this).parent().data("id");
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "api.php",
                data: {
                    key: "music",
                    type: "delete",
                    file: file,
                    session: "<?php echo $session; ?>"
                }
            }).success(function(status) {
                if (status == "ok") {
                    $this.parent().remove();
                    updateProcessBar();
                }
            });
        });
        <?php endif; ?>
        
        <?php if ($config['videos']): ?>
        $(document).on("click", "#addVideo", function() {
            var url = $("#videoUrl").val();
            
            if (url) {
                $.ajax({
                    type: "POST",
                    dataType: "json",
                    url: "api.php",
                    data: {
                        type: "addVideo",
                        url: url,
                        session: "<?php echo $session; ?>"
                    }
                }).success(function(data) {
                    switch (data) {
                        case "api":
                            popup(" ", "<p> .     API,    </p>");
                            return false;
                            break;

                        case "limit":
                            popup(" ", "<p>   </p>");

                            $("#step3 .galary").prev().remove();

                            markUp = '<p class="info">';
                                markUp += "   ";
                            markUp += "</p>";
                            $("#step3").prepend(markUp);
                            return false;
                            break;

                        case "no-yutube":
                            popup(" ", "<p>  </p>");
                            return false;
                            break;

                        default:
                            var markUp = "";
                            markUp += '<table class="video" width="100%" data-id="' + data.id + '">';
                                markUp += "<tr>";
                                    markUp += '<td width="190">';
                                        markUp += '<div class="wrap-logo">';
                                            markUp += '<span class="ico ico-play"></span>';
                                            markUp += '<img class="logo" src="http://img.youtube.com/vi/' + data.id + '/mqdefault.jpg" />';
                                        markUp += "</div>";
                                    markUp += "</td>";
                                    markUp += '<td valign="top">';
                                        markUp += '<div class="ico ico-close"></div>';
                                        markUp += '<div class="titile" title="' + data.title + '">' + data.title.substr(0, <?php echo $video_title_size; ?>) + '</div>';
                                        markUp += '<div class="prev">';
                                            markUp += '<img class="mini" src="http://img.youtube.com/vi/' + data.id + '/1.jpg" /> ';
                                            markUp += '<img class="mini" src="http://img.youtube.com/vi/' + data.id + '/2.jpg" /> ';
                                            markUp += '<img class="mini" src="http://img.youtube.com/vi/' + data.id + '/3.jpg" /> ';
                                        markUp += "</div>";
                                        markUp += '<div class="ico ico-add"><span> </span></div>';
                                    markUp += "</td>";
                                markUp += "</tr>";
                            markUp += "</table>";

                            $("#step3 .galary").append(markUp);
                            hidePopup();
                            break;
                    }
                });
            }
        });

        $(document).on("click", ".video .wrap-logo",  function() {
            var id = $(this).closest("table").data("id");
            var title = $(this).closest("table").find(".titile").text();

            var markUp = '<iframe width="420" height="315" src="//www.youtube.com/embed/' + id + '" frameborder="0" allowfullscreen></iframe>';

            popup(title, markUp);
        });

        $(document).on("click", ".video .ico-close", function() {
            <?php if ($config['alert']): ?>
            if (!confirm(" ?")) {
                return false;
            }
            <?php endif; ?>

            var $this = $(this);
            var file = $(this).closest("table").data("id");
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "api.php",
                data: {
                    key: "video",
                    type: "delete",
                    file: file,
                    session: "<?php echo $session; ?>"
                }
            }).success(function(status) {
                if (status == "ok") {
                    $this.closest("table").remove();
                }
            });
        });

        $(document).on("click", ".video .ico-add", function() {
            var key = $(this).closest("table").data("id");
            window.opener.top.frames['voc_sender'].addPic("[youtube " + key + "]");
        });
        <?php endif; ?>

        if ($.trim($(".copy").text()).length != 24) {
            $(".wrap").remove();
            $(".copy").remove();
            $(".no-copy").show();
        }
    });
    
    function popup(title,text) {
        $("#light").fadeIn(600);
        $("#popup header").text(title);
        $("#popup .content").html(text);
        var width = parseInt($("#popup").css("width"));
        width = parseInt(width/2);
        $("#popup").css("margin-left", "-" + width + "px");
        $("#popup").show("slide");

        setTimeout(function() {
            width = parseInt($("#popup").css("width"));
            width = parseInt(width/2);
            $("#popup").css("margin-left", "-" + width + "px");
        }, 1000);
    }

    function hidePopup() {
        $("#light").fadeOut(200);
        $("#popup").hide("slide");
        $("#popup .content").html("");
    }

    function updateProcessBar() {
        $.ajax({
            type: "POST",
            dataType: "json",
            url: "api.php",
            data: {
                type: "updateProcessBar",
                session: "<?php echo $session; ?>"
            }
        }).success(function(data) {
            if (data) {
                $(".progressbar .progress").animate({width: data.progress + "%"});
                $(".progressbar .s1").text(data.size);
            }
        });
    }
</script>
<?php else: ?>
    <p>  .       </p>
    </body>
<?php endif; ?>
</html>