<?php
include("Client.php");

function AntiProxy_InitPlugin() {
   installEventHandler(EVENT_LOGIN,  "AntiProxy_CheckIP");
}

function dnsblQuery($ip) {
       /*
        $dnsbllist = array( "3y.spam.mrs.kithrup.com",
                            "badconf.rhsbl.sorbs.net",
                            "bl.csma.biz",
                            "bl.deadbeef.com",
                            "bl.redhatgate.com",
                            "blackhole.compu.net",
                            "blackholes.five-ten-sg.com",
                            "blackholes.intersil.net",
                            "blackholes.mail-abuse.org",
                            "blackholes.wirehub.net",
                            "blacklist.spambag.org",
                            "block.blars.org",
                            "block.dnsbl.sorbs.net",
                            "cbl.abuseat.org",
                            "dev.null.dk",
                            "dialup.blacklist.jippg.org",
                            "dialups.mail-abuse.org",
                            "dnsbl.ahbl.org",
                            "dnsbl.njabl.org",
                            "dnsbl.sorbs.net",
                            "list.dsbl.org",
                            "multihop.dsbl.org",
                            "unconfirmed.dsbl.org",
                            "dul.dnsbl.sorbs.net",
                            "dul.maps.vix.com",
                            "dul.orca.bc.ca",
                            "dynablock.wirehub.net",
                            "flowgoaway.com",
                            "http.dnsbl.sorbs.net",
                            "ipal.ahbl.org",
                            "ipwhois.rfc-ignorant.org",
                            "misc.dnsbl.sorbs.net",
                            "nomail.rhsbl.sorbs.net",
                            "okrelays.nthelp.com",
                            "opm.blitzed.org",
                            "relays.ordb.org",
                            "pm0-no-more.compu.net",
                            "rbl-plus.mail-abuse.org",
                            "rbl.jp",
                            "rbl.maps.vix.com",
                            "rbl.spam.org.tr",
                            "relays.mail-abuse.org",
                            "relays.nthelp.com",
                            "relays.radparker.com",
                            "relays.visi.com",
                            "rhsbl.sorbs.net",
                            "sbl.csma.biz",
                            "sbl.spamhaus.org",
                            "smtp.dnsbl.sorbs.net",
                            "socks.dnsbl.sorbs.net",
                            "spam.dnsbl.sorbs.net",
                            "bl.spamcop.net",
                            "spamguard.leadmon.net",
                            "spamsources.fabel.dk",
                            "virus.rbl.jp",
                            "web.dnsbl.sorbs.net",
                            "zombie.dnsbl.sorbs.net"); */
        $dnsbllist = array( "block.dnsbl.sorbs.net",
                            "dnsbl.sorbs.net",
                            "opm.blitzed.org",
                            "relays.ordb.org",
                            "sbl.spamhaus.org",
                            "socks.dnsbl.sorbs.net",
                            "bl.spamcop.net");

        if ($ip) {
                $ips = explode(".", $ip);
                $ipreverse = "$ips[3].$ips[2].$ips[1].$ips[0]";
                for ($i=0;$i<count($dnsbllist);$i++) {
                        if (checkdnsrr($ipreverse.$dnsbllist[$i], "A")) {
                                return $dnsbllist[$i];
                        }
                }
        }
        return FALSE;
}

function AntiProxy_checkProxy($ip) {
     global $current_design;

     $proxy_ports = array(80, 8080, 3124, 3128, 81);
     $http = new Net_HTTP_Client();

     for($i = 0; $i < count($proxy_ports); $i++) {
         $http->setProxy($ip, $proxy_ports[$i]);
          if (intval($http->Get($current_design."blank.html") == 200)) return $proxy_ports[$i];
     }
     return 0;
}

function AntiProxy_CheckIP($UserNick, $UserClass) {
global $file_path;
global $user_name;
global $design;
global $IP;

if(!$IP) return;

$IPToTest_arr = explode(":", $IP);
$IP = $IPToTest_arr[0];
$IP = trim(str_replace("p", "", $IP));

if(ANTIPROXY_ignore_ip != "") {
   $protect_from_arr = explode(",", ANTIPROXY_ignore_ip);
   $IsProtectedFound = false;
   for($i = 0; $i < count($protect_from_arr); $i++) {
       if(strpos($IP, trim(strtolower($protect_from_arr[$i]))) != false or $IP == trim(strtolower($protect_from_arr[$i]))) {
          return;
          }
  }
}
  $fp = fopen($file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file, "a+b");
  if (!$fp) trigger_error("Could not open ".$file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file." for writing. Please, check permissions", E_USER_ERROR);
  if (!flock($fp, LOCK_EX))
        trigger_error("Could not LOCK ".$file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file.". Do you use Win 95/98/Me?", E_USER_WARNING);
  fseek($fp, 0);

  $IsIPFound = false;
  $IsProxy   = false;

  while ($line = fgets($fp, 16384)) {
        if (strlen($line)<7) continue;
        $line = trim($line);
        list($logIP, $logStat) = explode("\t", $line);
        if(trim($logIP) == $IP) {
            $IsIPFound = true;
            if(trim($logStat) == "proxy") $IsProxy   = true;
            break;
        }
  }


  if(!$IsIPFound) {
     $blocker = AntiProxy_checkProxy($IP);
     if($blocker) { $IsProxy = true; $proxy_str = "proxy"; }
     else { $IsProxy = false; $proxy_str = ""; }

     fwrite($fp, $IP."\t".$proxy_str."\n");
     fflush($fp);

     if($IsProxy) {
          $fp_log = fopen($file_path."plugins/antiproxy/".ANTIPROXY_log_file, "a+b");
              if($fp_log) {
                fwrite($fp_log, date("d.m.Y H:i:s", time()+$time_offset)."\t".$user_name."\t".$IP."\t".$blocker."\n");
                fclose($fp_log);
                }
     }

  //end of if(!$IsIPFound)
  }

  flock($fp, LOCK_UN);
  fclose($fp);

  if($IsProxy) {
      $error_text = str_replace("#", $IP, ANTIPROXY_error);
      include($file_path."designes/".$design."/error_page.php");
      exit;
  }
}
?>