<?php
/**
 *  . VOC++.
 * : ChatMaster <pozitiff.lv@gmail.com>
 *      .
 */


$cache_lifetime = 60*60*1; //     . -  1 .      !
$days_after_tomorrow = 6; //          

/************************************************************/
/*      ,     */
/************************************************************/

require_once("inc_common.php");
$yesterday = array();
$today = array();
$tomorrow = array();
$after_tomorrow = array();

$cache_file = $data_path.'bdays.dat';
$cache_create_time = 0;

if (file_exists($cache_file)) {
	$cache_array = unserialize(file_get_contents($cache_file));
	$cache_create_time = $cache_array['time'];
	$yesterday = $cache_array['yesterday'];
	$today = $cache_array['today'];
	$tomorrow = $cache_array['tomorrow'];
	$after_tomorrow = $cache_array['after_tomorrow'];
}

if ($cache_create_time+$cache_lifetime < time()) {
	$yesterday = array();
	$today = array();
	$tomorrow = array();
	$after_tomorrow = array();
	require_once("inc_user_class.php");
	$list = file($data_path.'users.dat');
	foreach ($list as $k => $v) {
		list($id, $nick) = explode("\t", trim($v));
		$user_file = $data_path.'users/'.floor($id/2000).'/'.$id.'.user';
		if ($id && file_exists($user_file)) {
			$user = unserialize(file_get_contents($user_file));
			if ($user->b_day && $user->b_month) {
				if ($user->b_day == date('j') && $user->b_month == date('n')) {
					$today[] = array('id' => $id, 'nick' => $nick);
				}
				$time = time()+86400;
				if ($user->b_day == date('j', $time) && $user->b_month == date('n', $time)) {
					$tomorrow[] = array('id' => $id, 'nick' => $nick);
				}
				$time = time()-86400;
				if ($user->b_day == date('j', $time) && $user->b_month == date('n', $time)) {
					$yesterday[] = array('id' => $id, 'nick' => $nick);
				}
				if ($days_after_tomorrow) {
					for ($i = 0; $i < $days_after_tomorrow; $i++) {
						$time = time() + 86400 * ($i+2);
						if (!isset($after_tomorrow[date('j.m.Y', $time)])) $after_tomorrow[date('j.m.Y', $time)] = array();
						if ($user->b_day == date('j', $time) && $user->b_month == date('n', $time)) {
							$after_tomorrow[date('j.m.Y', $time)][] = array('id' => $id, 'nick' => $nick);
						}
					}
				}
			}
		}
	}
	$cache_array = array('time' => time(), 'yesterday' => $yesterday, 'today' => $today, 'tomorrow' => $tomorrow, 'after_tomorrow' => $after_tomorrow);
	$f = fopen($cache_file, 'w');
	fwrite($f, serialize($cache_array));
	fclose($f);
}


// Output
echo "document.write('";

echo '<span style="font-weight:bold;">:</span> ';
if (count($yesterday)) {
	foreach($yesterday as $u) {
		echo '<a href="'.$chat_url.'fullinfo.php?user_id='.$u['id'].'" target="_blank">'.$u['nick'].'</a>, ';
	}
} else {
	echo '   .';
}
echo '<br />';

echo '<span style="font-weight:bold;">:</span> ';
if (count($today)) {
	foreach($today as $u) {
		echo '<a href="'.$chat_url.'fullinfo.php?user_id='.$u['id'].'" target="_blank">'.$u['nick'].'</a>, ';
	}
} else {
	echo '  .';
}
echo '<br />';

echo '<span style="font-weight:bold;">:</span> ';
if (count($tomorrow)) {
	foreach($tomorrow as $u) {
		echo '<a href="'.$chat_url.'fullinfo.php?user_id='.$u['id'].'" target="_blank">'.$u['nick'].'</a>, ';
	}
} else {
	echo '   .';
}
echo '<br /><br />';


if (count($after_tomorrow)) {
	foreach ($after_tomorrow as $k => $v) {
		echo '<span style="font-weight:bold;">'.$k.':</span> ';
		if (count($v)) {
			foreach($v as $u) {
				echo '<a href="'.$chat_url.'fullinfo.php?user_id='.$u['id'].'" target="_blank">'.$u['nick'].'</a>, ';
			}
		} else {
			echo '  .';
		}
		echo '<br />';
	}
}

echo "');";