<?php
/*

     
      http://mvoc.ru
    : Skriptoff
    skype: Skriptoff
    icq: 3503584

*/

include('../../inc_common.php');
include($engine_path . 'users_get_list.php');
include($file_path . "inc_user_class.php");
include($ld_engine_path . "users_get_object.php");
include('functions.php');

if (file_exists($data_path . 'mvoc/attachments/config.dat')) {
    $fc = file_get_contents($data_path . 'mvoc/attachments/config.dat');
    $config = parse_dat($fc);
} else {
    print json_encode('config');
    exit;
}

if (!$config['on']) {
    exit;
}
if ($current_user->online_time < $config['point_limit'] && !$cu_array[USER_CLASS]) {
    exit;
}
if ($cu_array[USER_CLASS]) {
    $config['max_all_size'] = $config['admin_max_all_size'];
}

if (!$exists || !$is_regist) {
    print json_encode('regist');
    exit;
}

/* data path */
if ( ! file_exists($data_path . 'mvoc/')) {
    @mkdir($data_path . 'mvoc/');
    @chmod($data_path . 'mvoc/', 0777);
}
if ( ! file_exists($data_path . 'mvoc/attachments/')) {
    @mkdir($data_path . 'mvoc/attachments/');
    @chmod($data_path . 'mvoc/attachments/', 0777);
}
$mvoc_data_path = $data_path . 'mvoc/attachments/' . (int) ($is_regist / 1000) . '/';
if ( ! file_exists($mvoc_data_path)) {
    @mkdir($mvoc_data_path);
    @chmod($mvoc_data_path);
}

set_variable('type');
set_variable('key');
set_variable('file');

$file = str_replace('/', '', $file);

switch($type) {
    case 'delete':
        if ($key == 'image' && $config['images']) {
            $path = $file_path . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/' . $file;
            if (file_exists($path)) {
                @unlink($path);
                print json_encode('ok');
                exit;
            }
        } elseif ($key == 'music') {
            $path = $file_path . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/' . $file . '.mp3';
            if (file_exists($path)) {
                @unlink($path);
            }
            $music_file = $data_path . 'mvoc/attachments/' . (int) ($is_regist / 1000) . '/' . $is_regist . '_music.dat';
            $data = unserialize(file_get_contents($music_file));
            unset($data[$file]);
            $data = serialize($data);
            save_file($music_file, $data, 'w');

            print json_encode('ok');
            exit;
        } elseif ($key == 'video') {
            $video_file = $data_path . 'mvoc/attachments/' . (int) ($is_regist / 1000) . '/' . $is_regist . '_video.dat';
            $data = unserialize(file_get_contents($video_file));
            unset($data[$file]);
            $data = serialize($data);
            save_file($video_file, $data, 'w');

            print json_encode('ok');
            exit;
        }
        break;
    case 'updateProcessBar':
        $user_path = $file_path . 'mvoc/attachments/upload/' . (int) ($is_regist / 1000) . '/' . $is_regist . '/';
        $size = 0;
        if (file_exists($user_path)) {
            foreach (new DirectoryIterator($user_path) as $del ) {
                $size += $del->getSize();
            }
        }
        $size = convert($size);
        if ($size{strlen($size) - 2} == 'k') {
            $progress = 1;
        } else {
            $progress = $config['max_all_size']/100;
            $progress = (int) ($size/$progress);
        }
        print json_encode(array('progress' => $progress, 'size' => $size));
        break;
    case 'addVideo':
        set_variable('url');
        $url = parse_url($url);
        if ($url['host'] !== 'www.youtube.com') {
            print json_encode('no-yutube');
            exit;
        }
        $id = explode('&', $url['query']);
        $id = $id[0];
        $id = substr($id,2);
        if (!$id) {
            print json_encode('error');
            exit;
        }
        $url = "http://gdata.youtube.com/feeds/api/videos/". $id;
        $doc = new DOMDocument;
        $doc->load($url);
        $title = $doc->getElementsByTagName("title")->item(0)->nodeValue;

        if (!$title) {
            print json_encode('api');
            exit;
        }

        $video_file = $mvoc_data_path . $is_regist . '_video.dat';

        if ( ! file_exists($video_file)) {
            $data = array();
        } else {
            $data = unserialize(file_get_contents($video_file));
            if (count($data) > $config['limit_videos']) {
                print json_encode('limit');
                exit;
            }
        }
        $data[$id] = iconv("UTF-8", "windows-1251", $title);

        $data = serialize($data);
        save_file($video_file, $data, 'w');

        print json_encode(array('id' => $id, 'title' => $title));
        break;
}