<?php
set_time_limit(0);

include("/usr/local/apache/htdocs/inc_common.php");
include("config.php");

function fetchURL( $url ) {
   $url_parsed = parse_url($url);
   $host = $url_parsed["host"];
   $port = $url_parsed["port"];
   if ($port==0)
       $port = 80;
   $path = $url_parsed["path"];
   if ($url_parsed["query"] != "")
       $path .= "?".$url_parsed["query"];

   $out = "GET $path HTTP/1.0\r\nHost: $host\r\n\r\n";

   $fp = fsockopen($host, $port, $errno, $errstr, 30);

   fwrite($fp, $out);
   $body = false;
   while (!feof($fp)) {
       $s = fgets($fp, 1024);
       if ( $body )
           $in .= $s;
       if ( $s == "\r\n" )
           $body = true;
   }

   fclose($fp);

   return $in;
}

$url_arr = array("http://www.antichat.ru/proxy/proxies.xml",
                 "http://www.void.ru/",
                 "http://www.checker.freeproxy.ru/checker/last_checked_proxies.php",
                 "http://www.xenolith0.net/online_proxies.php/per_page/600/sort_by/ip/pp/lastchecked/order_by/DESC/page/1",
                 "http://www.proxyforest.com/e-proxy.htm");

$resArr = array();
$nIPs   = array();
$oIPs   = array();

for($i = 0; $i < count($url_arr); $i++) {
    $bodyToParse = fetchURL($url_arr[$i]);
    if($bodyToParse != "") {
        preg_match_all("/[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}/", $bodyToParse, $resArr);
        for($j = 0; $j < count($resArr[0]); $j++) $nIPs[] = $resArr[0][$j];
    }
}

  $fp = fopen($file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file, "rb");
  if (!$fp) trigger_error("Could not open ".$file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file." for writing. Please, check permissions", E_USER_ERROR);
  if (!flock($fp, LOCK_EX))
        trigger_error("Could not LOCK ".$file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file.". Do you use Win 95/98/Me?", E_USER_WARNING);
  fseek($fp, 0);

  $IsIPFound = false;
  $IsProxy   = false;

  while ($line = fgets($fp, 16384)) {
        if (strlen($line)<7) continue;
        $line = trim($line);
        list($logIP, $logStat) = explode("\t", $line);
        $oIPs[] = array("ip" => trim($logIP), "type" => trim($logStat));
  }

  flock($fp, LOCK_UN);
  fclose($fp);

  for($i = 0; $i < count($nIPs); $i++) {
      $IsIPFound = false;
      for($j = 0; $j < count($oIPs); $j++) {
          if($oIPs[$j]["ip"] == $nIPs[$i]) { $IsIPFound = true; break; }
      }
      if(!$IsIPFound) $oIPs[] = array("ip" => $nIPs[$i], "type" => "proxy");
  }

  $fp = fopen($file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file, "wb");
  if (!$fp) trigger_error("Could not open ".$file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file." for writing. Please, check permissions", E_USER_ERROR);
  if (!flock($fp, LOCK_EX))
        trigger_error("Could not LOCK ".$file_path."plugins/antiproxy/".ANTIPROXY_rbl_checked_file.". Do you use Win 95/98/Me?", E_USER_WARNING);

  for($j = 0; $j < count($oIPs); $j++) {
    fwrite($fp, $oIPs[$j]["ip"]."\t".$oIPs[$j]["type"]."\n");
  }

  fflush($fp);
  flock($fp, LOCK_UN);
  fclose($fp);

?>